
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>以代码实例总结iOS应用开发中数据的存储方式_IOS / iVAN</title>

    <meta name="description" content="以代码实例总结iOS应用开发中数据的存储方式_IOS ios数据存储包括以下几种存储机制: 属性列表 对象归档 SQLite3 CoreData AppSettings 普通文件存储 1.属性列表 复制代码 代码如下: //  //  Persistence1ViewController.h  //  Persistence1  //  //  Created by liu lavy on 11-10-3.  //  Copyright 2011 __MyCompanyName__. All rights reserved.  //    #imp">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">以代码实例总结iOS应用开发中数据的存储方式_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>ios数据存储包括以下几种存储机制：</p>
<ul>
<li>属性列表</li>
<li>对象归档</li>
<li>SQLite3</li>
<li>CoreData</li>
<li>AppSettings</li>
<li>普通文件存储</li>
</ul>
<p><strong>1、属性列表<br /></strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>//  <br />
//  Persistence1ViewController.h  <br />
//  Persistence1  <br />
//  <br />
//  Created by liu lavy on 11-10-3.  <br />
//  Copyright 2011 __MyCompanyName__. All rights reserved.  <br />
//  <br />
  <br />
#import &lt;UIKit/UIKit.h&gt;  <br />
#define kFilename @"data.plist"  <br />
  <br />
@interface Persistence1ViewController : UIViewController {  <br />
    UITextField *filed1;  <br />
    UITextField *field2;  <br />
    UITextField *field3;  <br />
    UITextField *field4;  <br />
}  <br />
@property (nonatomic, retain) IBOutlet UITextField *field1;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field2;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field3;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field4;  <br />
  <br />
- (NSString *)dataFilePath;  <br />
- (void)applicationWillResignActive:(NSNotification *)notification;  <br />
  <br />
@end </p>
<p><u>复制代码</u> 代码如下:</p>
<p>//  <br />
//  Persistence1ViewController.m  <br />
//  Persistence1  <br />
//  <br />
//  Created by liu lavy on 11-10-3.  <br />
//  Copyright 2011 __MyCompanyName__. All rights reserved.  <br />
//  <br />
  <br />
#import "Persistence1ViewController.h"  <br />
  <br />
@implementation Persistence1ViewController  <br />
@synthesize field1;  <br />
@synthesize field2;  <br />
@synthesize field3;  <br />
@synthesize field4;  <br />
  <br />
//数据文件的完整路径  <br />
- (NSString *)dataFilePath {  <br />
    //检索Documents目录路径。第二个参数表示将搜索限制在我们的应用程序沙盒中  <br />
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);  <br />
    //每个应用程序只有一个Documents目录  <br />
    NSString *documentsDirectory = [paths objectAtIndex:0];  <br />
    //创建文件名  <br />
    return [documentsDirectory stringByAppendingPathComponent:kFilename];  <br />
}  <br />
  <br />
//应用程序退出时，将数据保存到属性列表文件  <br />
- (void)applicationWillResignActive:(NSNotification *)notification {  <br />
    NSMutableArray *array = [[NSMutableArray alloc] init];  <br />
    [array addObject: field1.text];  <br />
    [array addObject: field2.text];  <br />
    [array addObject: field3.text];  <br />
    [array addObject: field4.text];  <br />
    [array writeToFile:[self dataFilePath] atomically:YES];  <br />
    [array release];  <br />
}  <br />
  <br />
/* <br />
// The designated initializer. Override to perform setup that is required before the view is loaded. <br />
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil { <br />
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]; <br />
    if (self) { <br />
        // Custom initialization <br />
    } <br />
    return self; <br />
} <br />
*/  <br />
  <br />
/* <br />
// Implement loadView to create a view hierarchy programmatically, without using a nib. <br />
- (void)loadView { <br />
} <br />
*/  <br />
  <br />
  <br />
  <br />
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.  <br />
- (void)viewDidLoad {  <br />
    [super viewDidLoad];  <br />
    NSString *filePath = [self dataFilePath];  <br />
    //检查数据文件是否存在  <br />
    if([[NSFileManager defaultManager] fileExistsAtPath:filePath]) {  <br />
        NSArray *array = [[NSArray alloc] initWithContentsOfFile:filePath];  <br />
        field1.text = [array objectAtIndex:0];  <br />
        field2.text = [array objectAtIndex:1];  <br />
        field3.text = [array objectAtIndex:2];  <br />
        field4.text = [array objectAtIndex:3];  <br />
        [array release];  <br />
    }  <br />
    UIApplication *app = [UIApplication sharedApplication];  <br />
    [[NSNotificationCenter defaultCenter] addObserver:self  <br />
                                            selector:@selector(applicationWillResignActive:)  <br />
                                            name:UIApplicationWillResignActiveNotification  <br />
                                            object:app];  <br />
    [super viewDidLoad];  <br />
}  <br />
  <br />
  <br />
/* <br />
// Override to allow orientations other than the default portrait orientation. <br />
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation { <br />
    // Return YES for supported orientations <br />
    return (interfaceOrientation == UIInterfaceOrientationPortrait); <br />
} <br />
*/  <br />
  <br />
- (void)didReceiveMemoryWarning {  <br />
    // Releases the view if it doesn't have a superview.  <br />
    [super didReceiveMemoryWarning];  <br />
      <br />
    // Release any cached data, images, etc that aren't in use.  <br />
}  <br />
  <br />
- (void)viewDidUnload {  <br />
    self.field1 = nil;  <br />
    self.field2 = nil;  <br />
    self.field3 = nil;  <br />
    self.field4 = nil;  <br />
    [super viewDidUnload];  <br />
}  <br />
  <br />
  <br />
- (void)dealloc {  <br />
    [field1 release];  <br />
    [field2 release];  <br />
    [field3 release];  <br />
    [field4 release];  <br />
    [super dealloc];  <br />
}  <br />
  <br />
@end </p>
<p><strong>2、对象归档<br /></strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>//  <br />
//  Fourlines.h  <br />
//  Persistence2  <br />
//  <br />
//  Created by liu lavy on 11-10-3.  <br />
//  Copyright 2011 __MyCompanyName__. All rights reserved.  <br />
//  <br />
  <br />
#import &lt;Foundation/Foundation.h&gt;  <br />
  <br />
@interface Fourlines : NSObject &lt;NSCoding, NSCopying&gt; {  <br />
    NSString *field1;  <br />
    NSString *field2;  <br />
    NSString *field3;  <br />
    NSString *field4;  <br />
}  <br />
@property (nonatomic, retain) NSString *field1;  <br />
@property (nonatomic, retain) NSString *field2;  <br />
@property (nonatomic, retain) NSString *field3;  <br />
@property (nonatomic, retain) NSString *field4;  <br />
 <br />
<br />@end </p>
<p><u>复制代码</u> 代码如下:</p>
<p>//  <br />
//  Fourlines.m  <br />
//  Persistence2  <br />
//  <br />
//  Created by liu lavy on 11-10-3.  <br />
//  Copyright 2011 __MyCompanyName__. All rights reserved.  <br />
//  <br />
  <br />
#import "Fourlines.h"  <br />
  <br />
#define kField1Key @"Field1"  <br />
#define kField2Key @"Field2"  <br />
#define kField3Key @"Field3"  <br />
#define kField4Key @"Field4"  <br />
  <br />
@implementation Fourlines  <br />
@synthesize field1;  <br />
@synthesize field2;  <br />
@synthesize field3;  <br />
@synthesize field4;  <br />
  <br />
#pragma mark NSCoding  <br />
- (void)encodeWithCoder:(NSCoder *)aCoder {  <br />
    [aCoder encodeObject:field1 forKey:kField1Key];  <br />
    [aCoder encodeObject:field2 forKey:kField2Key];  <br />
    [aCoder encodeObject:field3 forKey:kField3Key];  <br />
    [aCoder encodeObject:field4 forKey:kField4Key];  <br />
}  <br />
  <br />
-(id) initWithCoder:(NSCoder *)aDecoder {  <br />
    if(self = [super init]) {  <br />
        field1 = [[aDecoder decodeObjectForKey:kField1Key] retain];  <br />
        field2 = [[aDecoder decodeObjectForKey:kField2Key] retain];  <br />
        field3 = [[aDecoder decodeObjectForKey:kField3Key] retain];  <br />
        field4 = [[aDecoder decodeObjectForKey:kField4Key] retain];  <br />
    }  <br />
    return self;  <br />
}  <br />
  <br />
#pragma mark -  <br />
#pragma mark NSCopying  <br />
- (id) copyWithZone:(NSZone *)zone {  <br />
    Fourlines *copy = [[[self class] allocWithZone: zone] init];  <br />
    copy.field1 = [[self.field1 copyWithZone: zone] autorelease];  <br />
    copy.field2 = [[self.field2 copyWithZone: zone] autorelease];  <br />
    copy.field3 = [[self.field3 copyWithZone: zone] autorelease];  <br />
    copy.field4 = [[self.field4 copyWithZone: zone] autorelease];  <br />
    return copy;  <br />
}  <br />
@end </p>
<p><u>复制代码</u> 代码如下:</p>
<p>//  <br />
//  Persistence2ViewController.h  <br />
//  Persistence2  <br />
//  <br />
//  Created by liu lavy on 11-10-3.  <br />
//  Copyright 2011 __MyCompanyName__. All rights reserved.  <br />
//  <br />
  <br />
#import &lt;UIKit/UIKit.h&gt;  <br />
#define kFilename @"archive"  <br />
#define kDataKey @"Data"  <br />
  <br />
@interface Persistence2ViewController : UIViewController {  <br />
    UITextField *filed1;  <br />
    UITextField *field2;  <br />
    UITextField *field3;  <br />
    UITextField *field4;  <br />
}  <br />
@property (nonatomic, retain) IBOutlet UITextField *field1;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field2;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field3;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field4;  <br />
  <br />
- (NSString *)dataFilePath;  <br />
- (void)applicationWillResignActive:(NSNotification *)notification;  <br />
  <br />
@end </p>
<p><u>复制代码</u> 代码如下:</p>
<p>//  <br />
//  Persistence2ViewController.m  <br />
//  Persistence2  <br />
//  <br />
//  Created by liu lavy on 11-10-3.  <br />
//  Copyright 2011 __MyCompanyName__. All rights reserved.  <br />
//  <br />
  <br />
#import "Persistence2ViewController.h"  <br />
#import "Fourlines.h"  <br />
  <br />
@implementation Persistence2ViewController  <br />
@synthesize field1;  <br />
@synthesize field2;  <br />
@synthesize field3;  <br />
@synthesize field4;  <br />
  <br />
//数据文件的完整路径  <br />
- (NSString *)dataFilePath {  <br />
    //检索Documents目录路径。第二个参数表示将搜索限制在我们的应用程序沙盒中  <br />
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);  <br />
    //每个应用程序只有一个Documents目录  <br />
    NSString *documentsDirectory = [paths objectAtIndex:0];  <br />
    //创建文件名  <br />
    return [documentsDirectory stringByAppendingPathComponent:kFilename];  <br />
}  <br />
  <br />
//应用程序退出时，将数据保存到属性列表文件  <br />
- (void)applicationWillResignActive:(NSNotification *)notification {  <br />
    Fourlines *fourlines = [[Fourlines alloc] init];  <br />
    fourlines.field1 = field1.text;  <br />
    fourlines.field2 = field2.text;  <br />
    fourlines.field3 = field3.text;  <br />
    fourlines.field4 = field4.text;  <br />
      <br />
    NSMutableData *data = [[NSMutableData alloc] init];//用于存储编码的数据  <br />
    NSKeyedArchiver *archiver = [[NSKeyedArchiver alloc] initForWritingWithMutableData:data];  <br />
      <br />
    [archiver encodeObject:fourlines forKey:kDataKey];  <br />
    [archiver finishEncoding];  <br />
    [data writeToFile:[self dataFilePath] atomically:YES];  <br />
      <br />
    [fourlines release];  <br />
    [archiver release];  <br />
    [data release];  <br />
}  <br />
  <br />
/* <br />
 // The designated initializer. Override to perform setup that is required before the view is loaded. <br />
 - (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil { <br />
 self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]; <br />
 if (self) { <br />
 // Custom initialization <br />
 } <br />
 return self; <br />
 } <br />
 */  <br />
  <br />
/* <br />
 // Implement loadView to create a view hierarchy programmatically, without using a nib. <br />
 - (void)loadView { <br />
 } <br />
 */  <br />
  <br />
  <br />
  <br />
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.  <br />
- (void)viewDidLoad {  <br />
    [super viewDidLoad];  <br />
    NSString *filePath = [self dataFilePath];  <br />
    //检查数据文件是否存在  <br />
    if([[NSFileManager defaultManager] fileExistsAtPath:filePath]) {  <br />
          <br />
        //从文件获取用于解码的数据  <br />
        NSData *data = [[NSMutableData alloc] initWithContentsOfFile:[self dataFilePath]];  <br />
        NSKeyedUnarchiver *unarchiver = [[NSKeyedUnarchiver alloc] initForReadingWithData:data];  <br />
          <br />
        Fourlines *fourlines = [unarchiver decodeObjectForKey:kDataKey];  <br />
        [unarchiver finishDecoding];  <br />
          <br />
        field1.text = fourlines.field1;  <br />
        field2.text = fourlines.field2;  <br />
        field3.text = fourlines.field3;  <br />
        field4.text = fourlines.field4;  <br />
          <br />
        [unarchiver release];  <br />
        [data release];  <br />
    }  <br />
    UIApplication *app = [UIApplication sharedApplication];  <br />
    [[NSNotificationCenter defaultCenter] addObserver:self  <br />
                                             selector:@selector(applicationWillResignActive:)  <br />
                                             name:UIApplicationWillResignActiveNotification  <br />
                                             object:app];  <br />
    [super viewDidLoad];  <br />
}  <br />
  <br />
  <br />
/* <br />
 // Override to allow orientations other than the default portrait orientation. <br />
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation { <br />
 // Return YES for supported orientations <br />
 return (interfaceOrientation == UIInterfaceOrientationPortrait); <br />
 } <br />
 */  <br />
  <br />
- (void)didReceiveMemoryWarning {  <br />
    // Releases the view if it doesn't have a superview.  <br />
    [super didReceiveMemoryWarning];  <br />
      <br />
    // Release any cached data, images, etc that aren't in use.  <br />
}  <br />
  <br />
- (void)viewDidUnload {  <br />
    self.field1 = nil;  <br />
    self.field2 = nil;  <br />
    self.field3 = nil;  <br />
    self.field4 = nil;  <br />
    [super viewDidUnload];  <br />
}  <br />
  <br />
  <br />
- (void)dealloc {  <br />
    [field1 release];  <br />
    [field2 release];  <br />
    [field3 release];  <br />
    [field4 release];  <br />
    [super dealloc];  <br />
}  <br />
@end </p>
<p><strong>3、SQLite<br /></strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>//  <br />
//  Persistence3ViewController.h  <br />
//  Persistence3  <br />
//  <br />
//  Created by liu lavy on 11-10-3.  <br />
//  Copyright 2011 __MyCompanyName__. All rights reserved.  <br />
//  <br />
  <br />
#import &lt;UIKit/UIKit.h&gt;  <br />
#define kFilename @"data.sqlite3"  <br />
  <br />
@interface Persistence3ViewController : UIViewController {  <br />
    UITextField *filed1;  <br />
    UITextField *field2;  <br />
    UITextField *field3;  <br />
    UITextField *field4;  <br />
}  <br />
@property (nonatomic, retain) IBOutlet UITextField *field1;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field2;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field3;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field4;  <br />
  <br />
- (NSString *)dataFilePath;  <br />
- (void)applicationWillResignActive:(NSNotification *)notification;  <br />
@end </p>
<p><u>复制代码</u> 代码如下:</p>
<p>//  <br />
//  Persistence3ViewController.m  <br />
//  Persistence3  <br />
//  <br />
//  Created by liu lavy on 11-10-3.  <br />
//  Copyright 2011 __MyCompanyName__. All rights reserved.  <br />
//  <br />
  <br />
#import "Persistence3ViewController.h"  <br />
#import &lt;sqlite3.h&gt;  <br />
  <br />
@implementation Persistence3ViewController  <br />
@synthesize field1;  <br />
@synthesize field2;  <br />
@synthesize field3;  <br />
@synthesize field4;  <br />
  <br />
//数据文件的完整路径  <br />
- (NSString *)dataFilePath {  <br />
    //检索Documents目录路径。第二个参数表示将搜索限制在我们的应用程序沙盒中  <br />
    NSArray *paths = NSSearchPathForDirectoriesInDomains(NSDocumentDirectory, NSUserDomainMask, YES);  <br />
    //每个应用程序只有一个Documents目录  <br />
    NSString *documentsDirectory = [paths objectAtIndex:0];  <br />
    //创建文件名  <br />
    return [documentsDirectory stringByAppendingPathComponent:kFilename];  <br />
}  <br />
  <br />
//应用程序退出时，将数据保存到属性列表文件  <br />
- (void)applicationWillResignActive:(NSNotification *)notification {  <br />
    sqlite3 *database;  <br />
    if(sqlite3_open([[self dataFilePath] UTF8String], &amp;database) != SQLITE_OK) {  <br />
        sqlite3_close(database);  <br />
        NSAssert(0, @"Failed to open database");  <br />
    }  <br />
      <br />
    for(int i = 1; i &lt;= 4; i++) {  <br />
        NSString *fieldname = [[NSString alloc] initWithFormat:@"field%d", i];  <br />
        UITextField *field = [self valueForKey:fieldname];  <br />
        [fieldname release];  <br />
          <br />
        char *update = "INSERT OR REPLACE INTO FIELDS (ROW, FIELD_DATA) VALUES (?, ?);";  <br />
        sqlite3_stmt *stmt;  <br />
        //将SQL语句编译为sqlite内部一个结构体(sqlite3_stmt),类似java JDBC的PreparedStatement预编译  <br />
        if (sqlite3_prepare_v2(database, update, -1, &amp;stmt, nil) == SQLITE_OK) {  <br />
            //在bind参数的时候,参数列表的index从1开始,而取出数据的时候,列的index是从0开始  <br />
            sqlite3_bind_int(stmt, 1, i);  <br />
            sqlite3_bind_text(stmt, 2, [field.text UTF8String], -1, NULL);  <br />
        } else {  <br />
            NSAssert(0, @"Error:Failed to prepare statemen");  <br />
        }  <br />
        //执行SQL文，获取结果   <br />
        int result = sqlite3_step(stmt);  <br />
        if(result != SQLITE_DONE) {  <br />
            NSAssert1(0, @"Error updating table: %d", result);  <br />
        }  <br />
        //释放stmt占用的内存(sqlite3_prepare_v2()分配的）  <br />
        sqlite3_finalize(stmt);  <br />
    }  <br />
    sqlite3_close(database);  <br />
}  <br />
  <br />
/* <br />
 // The designated initializer. Override to perform setup that is required before the view is loaded. <br />
 - (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil { <br />
 self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]; <br />
 if (self) { <br />
 // Custom initialization <br />
 } <br />
 return self; <br />
 } <br />
 */  <br />
  <br />
/* <br />
 // Implement loadView to create a view hierarchy programmatically, without using a nib. <br />
 - (void)loadView { <br />
 } <br />
 */  <br />
  <br />
  <br />
  <br />
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.  <br />
- (void)viewDidLoad {  <br />
    [super viewDidLoad];  <br />
    NSString *filePath = [self dataFilePath];  <br />
    //检查数据文件是否存在  <br />
    if([[NSFileManager defaultManager] fileExistsAtPath:filePath]) {  <br />
        //打开数据库  <br />
        sqlite3 *database;  <br />
        if(sqlite3_open([filePath UTF8String], &amp;database) != SQLITE_OK) {  <br />
            sqlite3_close(database);  <br />
            NSAssert(0, @"Failed to open database");  <br />
        }  <br />
          <br />
        //创建表  <br />
        char *errorMsg;  <br />
        NSString *createSQL =   <br />
            @"CREATE TABLE IF NOT EXISTS FIELDS (ROW INTEGER PRIMARY KEY, FIELD_DATA TEXT);";  <br />
        if(sqlite3_exec(database, [createSQL UTF8String], NULL, NULL, &amp;errorMsg) != SQLITE_OK) {  <br />
            sqlite3_close(database);  <br />
            NSAssert(0, @"Error creating table: %s", errorMsg);  <br />
        }  <br />
  <br />
        //查询  <br />
        NSString *query = @"SELECT ROW, FIELD_DATA FROM FIELDS ORDER BY ROW";  <br />
        sqlite3_stmt *statement;  <br />
        //设置nByte可以加速操作  <br />
        if(sqlite3_prepare_v2(database, [query UTF8String], -1, &amp;statement, nil) == SQLITE_OK) {  <br />
            while (sqlite3_step(statement) == SQLITE_ROW) {//返回每一行  <br />
                int row = sqlite3_column_int(statement, 0);  <br />
                char *rowData = (char *)sqlite3_column_text(statement, 1);  <br />
                  <br />
                NSString *fieldName = [[NSString alloc] initWithFormat:@"field%d", row];  <br />
                NSString *fieldValue = [[NSString alloc] initWithUTF8String:rowData];  <br />
                  <br />
                UITextField *field = [self valueForKey:fieldName];  <br />
                field.text = fieldValue;  <br />
                  <br />
                [fieldName release];  <br />
                [fieldValue release];  <br />
            }  <br />
            //释放statement占用的内存(sqlite3_prepare()分配的）  <br />
            sqlite3_finalize(statement);  <br />
        }  <br />
        sqlite3_close(database);  <br />
    }  <br />
      <br />
      <br />
    UIApplication *app = [UIApplication sharedApplication];  <br />
    [[NSNotificationCenter defaultCenter] addObserver:self  <br />
                                             selector:@selector(applicationWillResignActive:)  <br />
                                                 name:UIApplicationWillResignActiveNotification  <br />
                                               object:app];  <br />
    [super viewDidLoad];  <br />
}  <br />
  <br />
  <br />
/* <br />
 // Override to allow orientations other than the default portrait orientation. <br />
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation { <br />
 // Return YES for supported orientations <br />
 return (interfaceOrientation == UIInterfaceOrientationPortrait); <br />
 } <br />
 */  <br />
  <br />
- (void)didReceiveMemoryWarning {  <br />
    // Releases the view if it doesn't have a superview.  <br />
    [super didReceiveMemoryWarning];  <br />
      <br />
    // Release any cached data, images, etc that aren't in use.  <br />
}  <br />
  <br />
- (void)viewDidUnload {  <br />
    self.field1 = nil;  <br />
    self.field2 = nil;  <br />
    self.field3 = nil;  <br />
    self.field4 = nil;  <br />
    [super viewDidUnload];  <br />
}  <br />
  <br />
  <br />
- (void)dealloc {  <br />
    [field1 release];  <br />
    [field2 release];  <br />
    [field3 release];  <br />
    [field4 release];  <br />
    [super dealloc];  <br />
}  <br />
  <br />
@end </p>
<p><strong>4、Core Data<br /></strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>//  <br />
//  PersistenceViewController.h  <br />
//  Persistence4  <br />
//  <br />
//  Created by liu lavy on 11-10-3.  <br />
//  Copyright 2011 __MyCompanyName__. All rights reserved.  <br />
//  <br />
  <br />
#import &lt;UIKit/UIKit.h&gt;  <br />
  <br />
  <br />
@interface PersistenceViewController : UIViewController {  <br />
    UITextField *filed1;  <br />
    UITextField *field2;  <br />
    UITextField *field3;  <br />
    UITextField *field4;  <br />
}  <br />
@property (nonatomic, retain) IBOutlet UITextField *field1;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field2;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field3;  <br />
@property (nonatomic, retain) IBOutlet UITextField *field4;  <br />
  <br />
@end </p>
<p><u>复制代码</u> 代码如下:</p>
<p>//  <br />
//  PersistenceViewController.m  <br />
//  Persistence4  <br />
//  <br />
//  Created by liu lavy on 11-10-3.  <br />
//  Copyright 2011 __MyCompanyName__. All rights reserved.  <br />
//  <br />
  <br />
#import "PersistenceViewController.h"  <br />
#import "Persistence4AppDelegate.h"  <br />
  <br />
@implementation PersistenceViewController  <br />
@synthesize field1;  <br />
@synthesize field2;  <br />
@synthesize field3;  <br />
@synthesize field4;  <br />
  <br />
  <br />
-(void) applicationWillResignActive:(NSNotification *)notification {  <br />
    Persistence4AppDelegate *appDelegate = [[UIApplication sharedApplication] delegate];  <br />
    NSManagedObjectContext *context = [appDelegate managedObjectContext];  <br />
    NSError *error;  <br />
    for(int i = 1; i &lt;= 4; i++) {  <br />
        NSString *fieldName = [NSString stringWithFormat:@"field%d", i];  <br />
        UITextField *theField = [self valueForKey:fieldName];  <br />
          <br />
        //创建提取请求  <br />
        NSFetchRequest *request = [[NSFetchRequest alloc] init];  <br />
        //创建实体描述并关联到请求  <br />
        NSEntityDescription *entityDescription = [NSEntityDescription entityForName:@"Line"  <br />
                                                             inManagedObjectContext:context];  <br />
        [request setEntity:entityDescription];  <br />
          <br />
        //设置检索数据的条件  <br />
        NSPredicate *pred = [NSPredicate predicateWithFormat:@"(lineNum = %d)", i];  <br />
        [request setPredicate:pred];  <br />
          <br />
        NSManagedObject *theLine = nil;  <br />
        ////检查是否返回了标准匹配的对象，如果有则加载它，如果没有则创建一个新的托管对象来保存此字段的文本  <br />
        NSArray *objects = [context executeFetchRequest:request error:&amp;error];  <br />
        if(!objects) {  <br />
            NSLog(@"There was an error");  <br />
        }  <br />
        //if(objects.count &gt; 0) {  <br />
        //  theLine = [objects objectAtIndex:0];  <br />
        //} else {  <br />
            //创建一个新的托管对象来保存此字段的文本  <br />
            theLine = [NSEntityDescription insertNewObjectForEntityForName:@"Line"  <br />
                                                    inManagedObjectContext:context];  <br />
            [theLine setValue:[NSNumber numberWithInt:i] forKey:@"lineNum"];  <br />
            [theLine setValue:theField.text forKey:@"lineText"];  <br />
        //}  <br />
        [request release];  <br />
    }  <br />
    //通知上下文保存更改  <br />
    [context save:&amp;error];  <br />
      <br />
}  <br />
  <br />
// The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.  <br />
/* <br />
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil { <br />
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]; <br />
    if (self) { <br />
        // Custom initialization. <br />
    } <br />
    return self; <br />
} <br />
*/  <br />
  <br />
  <br />
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.  <br />
- (void)viewDidLoad {  <br />
    Persistence4AppDelegate *appDelegate = [[UIApplication sharedApplication] delegate];  <br />
      <br />
    NSManagedObjectContext *context = [appDelegate managedObjectContext];  <br />
    //创建一个实体描述  <br />
    NSEntityDescription *entityDescription = [NSEntityDescription entityForName:@"Line" inManagedObjectContext:context];  <br />
    //创建一个请求，用于提取对象  <br />
    NSFetchRequest *request = [[NSFetchRequest alloc] init];  <br />
    [request setEntity:entityDescription];  <br />
      <br />
    //检索对象  <br />
    NSError *error;  <br />
    NSArray *objects = [context executeFetchRequest:request error:&amp;error];  <br />
    if(!objects) {  <br />
        NSLog(@"There was an error!");  <br />
    }  <br />
    for(NSManagedObject *obj in objects) {  <br />
        NSNumber *lineNum = [obj valueForKey:@"lineNum"];  <br />
        NSString *lineText = [obj valueForKey:@"lineText"];  <br />
        NSString *fieldName = [NSString stringWithFormat:@"field%d", [lineNum integerValue]];  <br />
        UITextField *textField = [self valueForKey:fieldName];  <br />
        textField.text = lineText;  <br />
    }  <br />
    [request release];  <br />
      <br />
    UIApplication *app = [UIApplication sharedApplication];  <br />
    [[NSNotificationCenter defaultCenter] addObserver:self   <br />
                                             selector:@selector(applicationWillResignActive:)   <br />
                                                 name:UIApplicationWillResignActiveNotification  <br />
                                               object:app];  <br />
    [super viewDidLoad];  <br />
}  <br />
  <br />
/* <br />
// Override to allow orientations other than the default portrait orientation. <br />
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation { <br />
    // Return YES for supported orientations. <br />
    return (interfaceOrientation == UIInterfaceOrientationPortrait); <br />
} <br />
*/  <br />
  <br />
- (void)didReceiveMemoryWarning {  <br />
    // Releases the view if it doesn't have a superview.  <br />
    [super didReceiveMemoryWarning];  <br />
      <br />
    // Release any cached data, images, etc. that aren't in use.  <br />
}  <br />
  <br />
- (void)viewDidUnload {  <br />
    self.field1 = nil;  <br />
    self.field2 = nil;  <br />
    self.field3 = nil;  <br />
    self.field4 = nil;  <br />
    [super viewDidUnload];  <br />
}  <br />
  <br />
  <br />
- (void)dealloc {  <br />
    [field1 release];  <br />
    [field2 release];  <br />
    [field3 release];  <br />
    [field4 release];  <br />
    [super dealloc];  <br />
}  <br />
  <br />
  <br />
  <br />
@end </p>
<p><strong>5、AppSettings<br /></strong><br />
<u>复制代码</u> 代码如下:</p>
<p>NSUserDefaults *defaults = [NSUserDefaults standardUserDefaults]; </p>
<p><strong>6、普通文件存储</strong><br />
<br />这种方式即自己将数据通过IO保存到文件，或从文件读取。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-14 08:59:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/ios/" title="ios">ios</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ad%98%e5%82%a8/" title="数据存储">数据存储</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>以代码实例总结iOS应用开发中数据的存储方式_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAk6WKz.html" rel="bookmark">Android开发笔记之Android中数据的存储方式（二）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在实际开发中,有的时候需要储存或者备份比较复杂的数据.这些数据的特点是,内容多.结构大,比如短信备份等.我们知道SharedPreferences和Files(文本文件)储存这种数据会非常的没有效率.如果学过JavaWeb的朋友,首先可能想到的是数据库.当然了数据库是一个方案,那么是否还有其他的解决方案呢?今天我们在讲下Android开发笔记之Android中数据的存储方式(一) 提到的除了SharedPreferences和Files(文本文件)以外的其他几种数据储存方式:xml文件.SQ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Zmyqb.html" rel="bookmark">Android开发笔记之Android中数据的存储方式（一）&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于开发平台来讲,如果对数据的存储有良好的支持,那么对应用程序的开发将会有很大的促进作用. 总体的来讲,数据存储方式有三种:一个是文件,一个是数据库,另一个则是网络.其中文件和数据库可能用的稍多一些,文件用起来较为方便,程序可以自己定义格式:数据库用起稍烦锁一些,但它有它的优点,比如在海量数据时性能优越,有查询功能,可以加密,可以加锁,可以跨应用,跨平台等等:网络,则用于比较重要的事情,比如科研,勘探,航空等实时采集到的数据需要马上通过网络传输到数据处理中心进行存储并进行处理,有实时性的需求等.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNQXYob.html" rel="bookmark">Android开发笔记之Android中数据的存储方式（一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对于开发平台来讲,如果对数据的存储有良好的支持,那么对应用程序的开发将会有很大的促进作用. 总体的来讲,数据存储方式有三种:一个是文件,一个是数据库,另一个则是网络.其中文件和数据库可能用的稍多一些,文件用起来较为方便,程序可以自己定义格式:数据库用起稍烦锁一些,但它有它的优点,比如在海量数据时性能优越,有查询功能,可以加密,可以加锁,可以跨应用,跨平台等等:网络,则用于比较重要的事情,比如科研,勘探,航空等实时采集到的数据需要马上通过网络传输到数据处理中心进行存储并进行处理,有实时性的需求等.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwnBRdp.html" rel="bookmark">Android开发笔记之Android中数据的存储方式（二）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们在实际开发中,有的时候需要储存或者备份比较复杂的数据.这些数据的特点是,内容多.结构大,比如短信备份等.我们知道SharedPreferences和Files(文本文件)储存这种数据会非常的没有效率.如果学过JavaWeb的朋友,首先可能想到的是数据库.当然了数据库是一个方案,那么是否还有其他的解决方案呢?今天我们在讲下Android开发笔记之Android中数据的存储方式(一) 提到的除了SharedPreferences和Files(文本文件)以外的其他几种数据储存方式:xml文件.SQ			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6G0JLp.html" rel="bookmark">深入讲解iOS开发中应用数据的存储方式&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				XML属性列表-plist 一.应用沙盒每个iOS应用都有⾃己的应⽤沙盒(应用沙盒就是文件系统目录),与其他文件系统隔离.应⽤必须待在⾃己的沙盒里,其他应用不能访问该沙盒(提示:在IOS8中已经开放访问) 应⽤沙盒的文件系统⽬录,如下图所示(假设应用的名称叫Layer) 模拟器应⽤用沙盒的根路径在: (apple是⽤用户名, 7.0是模拟器版本) /Users/apple/Library/Application Support/iPhone Simulator/7.0/Applications			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOxmDb.html" rel="bookmark">Android应用开发中数据的保存方式总结&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.保存文件到手机内存 /** * 保存数据到手机rom的文件里面. * @param context 应用程序的上下文 提供环境 * @param name 用户名 * @param password 密码 * @throws Exception */ public static void saveToRom(Context context, String name , String password) throws Exception{ //File file = new File(&quot;/da			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/baK9Ogp.html" rel="bookmark">Android应用开发中数据的保存方式总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.保存文件到手机内存 /** * 保存数据到手机rom的文件里面. * @param context 应用程序的上下文 提供环境 * @param name 用户名 * @param password 密码 * @throws Exception */ public static void saveToRom(Context context, String name , String password) throws Exception{ //File file = new File(&quot;/da			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxEr0mp.html" rel="bookmark">Android开发之数据的存储方式详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android中,数据的存储分为两种方式: 1.直接以文件的形式存储在目录中 2.以json格式存储在数据库中 将数据以文件的存储又分为两种方式: 1.生成.txt文件 2.生成xml文件 那么今天就来详细的说一下以文件的形式存储,由于没有讲到数据库,在之后的课程中会讲到json格式存储在数据库中. 一.生成.txt文件 文件的生成无非就是我们Java中学习的输入输出流中的一部分,有Java基础相信都是很容易理解的,因为它真的很简单啦~~ 1.生成目录可以分为两种: 1)本机 2)SD卡 2.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJr8jDz.html" rel="bookmark">Android开发之数据的存储方式详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android中,数据的存储分为两种方式: 1.直接以文件的形式存储在目录中 2.以json格式存储在数据库中 将数据以文件的存储又分为两种方式: 1.生成.txt文件 2.生成xml文件 那么今天就来详细的说一下以文件的形式存储,由于没有讲到数据库,在之后的课程中会讲到json格式存储在数据库中. 一.生成.txt文件 文件的生成无非就是我们Java中学习的输入输出流中的一部分,有Java基础相信都是很容易理解的,因为它真的很简单啦~~ 1.生成目录可以分为两种: 1)本机 2)SD卡 2.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ3o7b.html" rel="bookmark" class="title">跨浏览器常用事件</a>
					<div>
						//跨浏览器添加事件  function addEvent(obj, type, fn) { if (obj.addEventListener) { obj.addEventListener(type ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDKNOp.html" rel="bookmark" class="title">实例学习网页制作中常用的网页表单的应用</a>
					<div>
						网页 说实话,无论是asp,php还是jsp进行网络编程的时候,都离不开和用户的交互. 而人机对话的平台,基本上是靠相应的文本.列表框进行输入,然后通过按钮提交送至数据库的. 所以学习网络编程就一定要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRglep.html" rel="bookmark" class="title">老生总结优化长尾关键词的实战经验</a>
					<div>
						因为前阵子过年比较忙,很久没有写东西了,今天就来跟大家分享一些网站长尾词优化的经验吧,这些都是老生做新站半年来总结的,希望对各位站长有所帮助!长尾词在如今的网站排名中也是一笔不可小窥的财富,我也这点大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD1nLb.html" rel="bookmark" class="title">不要迷恋百度快照 快照只个传说</a>
					<div>
						现在太多人看重百度快照了,已经被一些所谓的高手所误导,对于那些盲目跟风的同学的我在这里有必要提醒一下,百度快照只是快照而以,不足以拿网站的百度快照去衡量一个网站做为标准. 到底应该怎么样正确看待百度快 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY8WBb.html" rel="bookmark" class="title">以企鹅为例 分析百度搜索结果的Ico Logo</a>
					<div>
						看到很多人问百度搜索结果标题前面的logo是怎么来的.其实这个logo早在去年年底就出现了,只是比较少所以看到的人并不多,现在很多大站都出现logo,现在这情况可以说只要前面有logo的站点基本都不会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRVKDz.html" rel="bookmark" class="title">UVa 10397：Connect the Campus &lpar;最小生成树&rpar;</a>
					<div>
						链接: http://uva.onlinejudge.org/index.php?option=com_onlinejudge&amp;Itemid=8&amp;category=24&amp;pag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62yBAM.html" rel="bookmark" class="title">Emit学习系列</a>
					<div>
						Emit学习-答疑篇-值类型和引用类型在使用时的区别 Emit学习-答疑篇-Call和Callvirt的区别 Emit学习-进阶篇-异常处理 Emit学习-进阶篇-定义事件 Emit学习-基础篇-为动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxWQyyb.html" rel="bookmark" class="title">FAT32转换NTFS命令的方法</a>
					<div>
						  适用范围:Windows XP/WIN7/WIN8各版本系统 演示系统:XP专业版 演示最终效果:在不损坏原磁盘数据的情况下,把磁盘原本FAT32转换成NTFS. FAT32转换NTFS命令使用方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8DXqp.html" rel="bookmark" class="title">link环境下制作一款《订餐软件》，积分累进实现会员等级的保持请问这个应该怎么实现？</a>
					<div>
						问题描述 link环境下制作一款&lt;订餐软件&gt;,积分累进实现会员等级的保持请问这个应该怎么实现? link环境下制作一款&lt;订餐软件&gt;,积分累进实现会员等级的保持请问这个应该怎么实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWeglp.html" rel="bookmark" class="title">&lpar;&lpar;DemoHXSDKHelper&rpar;HXSDKHelper&period;getInstance&lpar;&rpar;&rpar;&period;getContactList&lpar;&rpar;空指针</a>
					<div>
						问题描述 将demo整合到app中,安装后第一次使用可以从SplashActivity进入demo的MainActivity,之后报如题所述的空指针,看过log,都是在.getContactlist( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ0w4b.html" rel="bookmark" class="title">互联网女皇：Android普及速度比iPhone快6倍</a>
					<div>
						美国风险投资公司KPCB合伙人玛丽·米克 北京时间11月6日下午消息,美国风险投资公司KPCB合伙人玛丽·米克(Mary Meeker)周二在旧金山发布年中趋势报告称,Android手机的普及速度比i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P3oop.html" rel="bookmark" class="title">再破魔力象限 山石网科入选Gartner IDPS MQ</a>
					<div>
						近日,国际知名咨询机构Gartner发布了IDPS(Intrusion Detection and Prevention Systems入侵检测与防御系统)魔力象限,山石网科凭借业界领先的技术实力成功 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjeAQp.html" rel="bookmark" class="title">中国电子学会研究咨询中心主任李颋：AI产业发展的趋势、挑战及政策建议</a>
					<div>
						2017年6月14-16日,中国电子学会主办.至顶网等协办的&quot;第九届中国云计算大会&quot;在北京国家会议中心拉开帷幕,本届大会主题围绕&quot;生态构建 深化应用&quot;展开,吸引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6AZ0b.html" rel="bookmark" class="title">调查显示美国网民总数不升反降</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 截至7月底,美国网民总数达1.89 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZwZOb.html" rel="bookmark" class="title">警惕一大波银行类木马正在靠近，新型BankBot木马解析</a>
					<div>
						警惕一大波银行类木马正在靠近,新型BankBot木马解析       背景 来自安全公司Dr.Web的研究人员说,最近一个未命名的Android银行木马源代码在地下黑客论坛遭到了泄露.就在近期,阿里聚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QEYPp.html" rel="bookmark" class="title">Erlang open&lowbar;port极度影响性能的因素</a>
					<div>
						问题描述 Erlang的port相当于系统的IO,打开了Erlang世界通往外界的通道,可以很方便的执行外部程序. 但是open_port的性能对整个系统来讲非常的重要,我就带领大家看看open_po ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDyKkz.html" rel="bookmark" class="title">socket-关于java的Socket问题</a>
					<div>
						问题描述 关于java的Socket问题 我的Socket连接在正常运行一周左右就卡在那里,即不退出,也不接收服务器下发的数据,但是程序不死亡,这是什么原因造成的? 解决方案 是不是内存崩了,whil ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Z8Raz.html" rel="bookmark" class="title">如何用MediaCapture解决二维码扫描问题</a>
					<div>
						原文:如何用MediaCapture解决二维码扫描问题(有修改) 二维码扫描的实现,简单的来说可以分三步走:&quot;成像&quot;.&quot;截图&quot;与&quot;识别&quot;.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXe1xz.html" rel="bookmark" class="title">中芯10亿美元接盘武汉新芯总投资或达45亿美元</a>
					<div>
						至2013年底,总投资或达45亿美元 王如晨 周芳 昨天,中芯国际(00981.HK)与湖北省科技投资集团公司(下称&quot;湖北科技&quot;)在武汉签订合资协议,双方承诺将对武汉新芯12英寸半 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRKeAb.html" rel="bookmark" class="title">SQL Sever 2005 Express 安装失败解决办法&lowbar;mssql2005</a>
					<div>
						后下载sql sever 2005 express单独安装,发现总是到了安装MSXML 6时出错.然而打算在控制面板里删除MSXML 6 Service Pack 2 (KB954459)又删不了,最 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm1n5M.html" rel="bookmark" class="title">超炫酷！看阿里云渲染如何打造&amp;quot&semi;小门神&amp;quot&semi;</a>
					<div>
						本文讲的是超炫酷!看阿里云渲染如何打造&quot;小门神&quot;[IT168 评论]12月29日,由阿里影业参与投资的国产3D动画电影&lt;小门神&gt;在全国拉开点映大幕.点映结束后,&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXqXWvz.html" rel="bookmark" class="title">apache开启&period;htaccess及&period;htaccess的使用方法&lowbar;Linux</a>
					<div>
						今天本地调试PHP程序,用到了.htaccess,而默认配置里面开启.htaccess,在网上找到了开启.htaccess的可行方法,供朋友们借鉴.(开启的我他的方法不行,查找了一下AllowOver ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRx16b.html" rel="bookmark" class="title">后谷资金链断裂事件陷入&OpenCurlyDoubleQuote;罗生门&rdquo;</a>
					<div>
						备受关注的本土最大咖啡品牌后谷资金链断裂事件陷入&quot;罗生门&quot;.在后谷方表示PE欲夺经营权,PE控诉后谷董事长熊相入非法挪用资金之后,双方对于事件的发展也有了不同看法,这令事件更加复杂 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkABvEb.html" rel="bookmark" class="title">j750-J750测试程式如何查看？</a>
					<div>
						问题描述 J750测试程式如何查看? 因本人为接触J750软体,查看起来很不方便.哪位大神知道一下如和看程式的level,timing,电压,测试项目等					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgVEWM.html" rel="bookmark" class="title">等待匿名线程-delphi xe中同时等待几个匿名线程&comma;运行时结果错误&lpar;没cb了&comma;无法悬赏&rpar;</a>
					<div>
						问题描述 delphi xe中同时等待几个匿名线程,运行时结果错误(没cb了,无法悬赏) 我原本是想创建几个线程,同时写如数字在memo中.然后用waitformultipleobjects等待 全部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdyOg1z.html" rel="bookmark" class="title">&lbrack;连载&rsqb;《大数据之路：阿里巴巴大数据实践》之日志采集</a>
					<div>
						作者简介 阿里巴巴数据技术及产品部.定位于阿里集团数据中台,为阿里生态内外的业务.用户.中小企业提供全链路.全渠道的数据服务.作为阿里大数据战略的核心践行者,致力于&quot;让大数据赋能商业,创造价 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZWW3z.html" rel="bookmark" class="title">将MySQL从MyISAM转换成InnoDB错误和解决办法&lowbar;Mysql</a>
					<div>
						后来在做WordPress,一开始还不知道原来WordPress用的是InnoDB数据引擎,于是在原来的数据库里面就建了一个数据库,一开始也没发觉问题,安装,导入sql,都没问题,当时也没多想.直到这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmaNqp.html" rel="bookmark" class="title">abcd-求解答（C&plus;&plus;）拜托拜托</a>
					<div>
						问题描述 求解答(C++)拜托拜托 用3个函数完成以下功能:1).输入10个整数,2).找出最小和最大的数并与第一个数和最后一个数交换.3)输出处理后的10个数.要求在main函数中定义存储10个整数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GZPoM.html" rel="bookmark" class="title">soap信息发布，如何不用web页面上的表格发布而用java代码发布</a>
					<div>
						问题描述 教材上是填写表格发布,或者用到一个servicemangerclient.java文件在cmd中输入javaorg.apache.server.servicemanageclienthttp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBge5b.html" rel="bookmark" class="title">Windows Server 2008在Hyper-V上安装Ubuntu</a>
					<div>
						最近在 Hyper-V 上装了一个 http://www.aliyun.com/zixun/aggregation/13835.html&quot;&gt;Ubuntu,用来做一些测试,在这里配置 U ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
